Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.togethersoft.openapi.ide.window
Interface IdeFileChooserConstant

public interface IdeFileChooserConstant

Interface `IdeFileChooserConstant` stores the constants to be used in the `IdeFileChooser` interface.

Author:
  TogetherSoft

Field Summary
`final static int` | `APPROVE_OPTION` Return value if approve (yes, ok) is chosen.
`final static int` | `CANCEL_OPTION` Return value if cancel is chosen.
`final static int` | `CUSTOM_DIALOG` Type value indicating that the FileChooser supports a developer specified file operation.
`final static int` | `DIRECTORIES_ONLY` Instruction to display directories only.
`final static int` | `ERROR_OPTION` Return value if an error occurred.
`final static int` | `FILES_AND_DIRECTORIES` Instruction to display both files and directories.
`final static int` | `FILES_ONLY` Instruction to display files only.
`final static int` | `OPEN_DIALOG` Type value indicating that the FileChooser supports an "Open" file operation.
`final static int` | `SAVE_DIALOG` Type value indicating that the FileChooser supports a "Save" file operation.

Field Detail

### APPROVE_OPTION

    public final static int APPROVE_OPTION

  Return value if approve (yes, ok) is chosen.

### CANCEL_OPTION

    public final static int CANCEL_OPTION

  Return value if cancel is chosen.

### CUSTOM_DIALOG

    public final static int CUSTOM_DIALOG

  Type value indicating that the FileChooser supports a developer specified file operation.

### DIRECTORIES_ONLY

    public final static int DIRECTORIES_ONLY

  Instruction to display directories only.

### ERROR_OPTION

    public final static int ERROR_OPTION

  Return value if an error occurred.

### FILES_AND_DIRECTORIES

    public final static int FILES_AND_DIRECTORIES

  Instruction to display both files and directories.

### FILES_ONLY

    public final static int FILES_ONLY

  Instruction to display files only.

### OPEN_DIALOG

    public final static int OPEN_DIALOG

  Type value indicating that the FileChooser supports an "Open" file operation.

### SAVE_DIALOG

    public final static int SAVE_DIALOG

  Type value indicating that the FileChooser supports a "Save" file operation.

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD